<CsoundSynthesizer>
<CsOptions>
-m128  --env:SSDIR+=../../samples/
</CsOptions>
<CsInstruments>

sr = 44100
ksmps = 32
nchnls = 16
0dbfs = 1
seed 1


/* 
es gibt etwas unangenehmes nachrauschen. versuche das zu beheben
-> das war eigentlich schon programmiert, nur vergessen die hüllkurve zu multiplizieren
*/
   
;giChannelSetup = 2.0 ;nchnls must be 2 then
;giChannelSetup = 2.2 ;nchnls must be 4 then
;giChannelSetup = 4.4 ;nchnls must be 8 then
giChannelSetup = 8.8 ;nchnls must be 16 then

;globales gain (db) um die lautstärkenunterschiede durch die mischungen auszugleichen
giGlobGainDb = 6

;vbap setup 1 = 8chnls
iBox_1 = -22.5
vbaplsinit 2.01, 8, iBox_1, iBox_1+45, iBox_1+90, iBox_1+135, iBox_1+180, iBox_1-135, iBox_1-90, iBox_1-45

;vbap setup 2 = 4chnls
; iBox_1 = -45
;vbaplsinit 2.02, 4, iBox_1, iBox_1+90, iBox_1+180, iBox_1-90
vbaplsinit 2.02, 4, -30, 30, 150, 210


giSnareMid ftgen 0, 0, 0, 1, "mid.aif", 0, 0, 1
giSnareEdge ftgen 0, 0, 0, 1, "edge.aif", 0, 0, 1
giSnareRim ftgen 0, 0, 0, 1, "rim.aif", 0, 0, 1
giHandKlatsch ftgen 0, 0, 0, 1, "HandKlatsch.aif", 0, 0, 1

giHalfSine ftgen 0, 0, 4096, 9, 1/2, 1, 0

/***********/
/* SAMPLES */
/***********/

/* SNARE */
gi_snare1_f_ord1 ftgen 0, 0, 0, 1, "snare1_f_ord1.wav", 0, 0, 1
gi_snare1_f_ord3 ftgen 0, 0, 0, 1, "snare1_f_ord3.wav", 0, 0, 1
gi_snare1_f_rim1 ftgen 0, 0, 0, 1, "snare1_f_rim1.wav", 0, 0, 1
gi_snare1_f_rim3 ftgen 0, 0, 0, 1, "snare1_f_rim3.wav", 0, 0, 1
gi_snare1_f_rim4 ftgen 0, 0, 0, 1, "snare1_f_rim4.wav", 0, 0, 1
gi_snare1_f_rim6 ftgen 0, 0, 0, 1, "snare1_f_rim6.wav", 0, 0, 1
gi_snare1_p_rim1 ftgen 0, 0, 0, 1, "snare1_p_rim1.wav", 0, 0, 1
gi_snare1_p_rim3 ftgen 0, 0, 0, 1, "snare1_p_rim3.wav", 0, 0, 1
gi_snare1_klack_rim1 ftgen 0, 0, 0, 1, "snare1_klack_rim1.wav", 0, 0, 1
gi_snare1_jazz_1 ftgen 0, 0, 0, 1, "snare1_jazz_1.wav", 0, 0, 1

gi_snare2_f_ord1 ftgen 0, 0, 0, 1, "snare2_f_ord1.wav", 0, 0, 1
gi_snare2_f_rim4 ftgen 0, 0, 0, 1, "snare2_f_rim4.wav", 0, 0, 1
gi_snare2_f_rim5 ftgen 0, 0, 0, 1, "snare2_f_rim5.wav", 0, 0, 1
gi_snare2_nah_trocken_1 ftgen 0, 0, 0, 1, "snare2_nah_trocken_1.wav", 0, 0, 1
gi_snare2_pp_1 ftgen 0, 0, 0, 1, "snare2_pp_1.wav", 0, 0, 1
gi_snare2_pp_8_rand ftgen 0, 0, 0, 1, "snare2_pp_8_rand.wav", 0, 0, 1
gi_snare2_p_rim2 ftgen 0, 0, 0, 1, "snare2_p_rim2.wav", 0, 0, 1
gi_snare2_jazz_1 ftgen 0, 0, 0, 1, "snare2_jazz_1.wav", 0, 0, 1
gi_snare2_jazz_5 ftgen 0, 0, 0, 1, "snare2_jazz_5.wav", 0, 0, 1
gi_snare2_jazz_druck_1 ftgen 0, 0, 0, 1, "snare2_jazz_druck_1.wav", 0, 0, 1

/* PEITSCHE ETC */
gi_castagnetten2 ftgen 0, 0, 0, 1, "castagnetten2.wav", 0, 0, 1
gi_claves3 ftgen 0, 0, 0, 1, "claves3.wav", 0, 0, 1
gi_peitsche1 ftgen 0, 0, 0, 1, "peitsche1.wav", 0, 0, 1
gi_peitsche2 ftgen 0, 0, 0, 1, "peitsche2.wav", 0, 0, 1
gi_HandKlatsch ftgen 0, 0, 0, 1, "HandKlatsch.aif", 0, 0, 1 ;nicht trocken
gi_wblk_kaputt ftgen 0, 0, 0, 1, "wblk_kaputt.wav", 0, 0, 1
gi_papierschlag ftgen 0, 0, 0, 1, "papierschlag.wav", 0, 0, 1

/* CHRISTIAN */
gi_christian_ah ftgen 0, 0, 0, 1, "christian_ah.wav", 0, 0, 1
gi_christian_fluester ftgen 0, 0, 0, 1, "christian_fluester.wav", 0, 0, 1
gi_christian_fluesterschrei ftgen 0, 0, 0, 1, "christian_fluesterschrei.wav", 0, 0, 1
gi_christian_ge ftgen 0, 0, 0, 1, "christian_ge.wav", 0, 0, 1
gi_christian_schrei ftgen 0, 0, 0, 1, "christian_schrei.wav", 0, 0, 1

/* ANDERES */
gi_demo1 ftgen 0, 0, 0, 1, "demo1.aif", 0, 0, 1
gi_demo2 ftgen 0, 0, 0, 1, "demo2.aif", 0, 0, 1
gi_demo3 ftgen 0, 0, 0, 1, "demo3.aif", 0, 0, 1
gi_Kistebrech ftgen 0, 0, 0, 1, "Kistebrech.aif", 0, 0, 1
gi_Kistebrech2 ftgen 0, 0, 0, 1, "Kistebrech2.aif", 0, 0, 1
gi_regen_freetown ftgen 0, 0, 0, 1, "regen_freetown.aif", 0, 0, 1
gi_schwein1 ftgen 0, 0, 0, 1, "schwein1.aif", 0, 0, 1
gi_schwein2 ftgen 0, 0, 0, 1, "schwein2.aif", 0, 0, 1
gi_schwein3 ftgen 0, 0, 0, 1, "schwein3.aif", 0, 0, 1
gi_schwein4 ftgen 0, 0, 0, 1, "schwein4.aif", 0, 0, 1
gi_Schweinefuettern ftgen 0, 0, 0, 1, "Schweinefuettern.aif", 0, 0, 1
gi_null ftgen 0, 0, 1024, 2, 0


opcode RndInt, i,ii
 iMin, iMax xin
 iRnd random iMin, iMax+.999
 xout int(iRnd)
endop

opcode RndInt, k,kk
 kMin, kMax xin
 kRnd random kMin, kMax+.999
 xout int(kRnd)
endop

opcode Max3, i, iii
 i1, i2, i3 xin
 i12 = i1 > i2 ? i1 : i2
 i123 = i12 > i3 ? i12 : i3
 xout i123
endop

  opcode Linek, kk, kkkk
;performs a linear interpolation from kthis to knext in ktim whenever ktrig is 1
kthis, knext, ktim, ktrig xin 
kstat     init      0 ;status at the begin
kfin      init      0
knprd     =         round(ktim*kr) ;number of k-cycles for ktim
ktimek    timek
 if ktrig == 1 then ;freeze values 
kthistim  =         ktimek 
kstrt     =         kthis
kend      =         knext
kstat     =         1
 endif
 if kstat == 0 then
kval      =         kthis
 elseif kstat == 1 then
kcount    =         ktimek-kthistim ;number of k-cycles in the time needed
kinc      =         (kend-kstrt) / knprd ;increment
kval      =         kstrt + kcount * kinc 
  if ktimek == kthistim+knprd then ;if target reached
kfin      =         1 ;tell it
kstat     =         2 ;set status
  else
kfin      =         0
  endif
 elseif kstat == 2 then
kval      =         kval ;stay at kval if no new trigger
kfin      =         0
 endif
          xout      kval, kfin ;value and 1 if target reached
  endop


instr E ;habe hier den letzten schlag weggelassen (s.u.)

 kSpeed = 1
 iAccents[] fillarray 4, 1, 5, 10, 7
 kAccents[] fillarray 4, 1, 5, 10, 7
 iAccentsMult = 2 ;2 = obige reihe wird zu 8,2,10,...
 kIndxAccents init -1
 kRtmCnt init 0
 kInstrCnt init 0
 
 iNoteDur = 1/8
 iNoteDur *= iAccentsMult
 iDur = (sumarray(iAccents) + lenarray(iAccents)) * iNoteDur
 p3 = iDur+10
 
 kTrig metro 1/iNoteDur
 
 if kTrig == 1 then

  kAzi random 0, 360
 
  if kRtmCnt == 0 then
   kInstrCnt += 1
   S_instr sprintfk "E%d", kInstrCnt
   event "i", S_instr, 0, 1, kAzi
   kIndxAccents += 1
   kRtmCnt = kAccents[kIndxAccents]
   printks "kRtmCnt = %d\n", 0, kRtmCnt
  endif
  
  if kIndxAccents == lenarray(kAccents)-1 then ;wenn ohne -1, kommt der letzte schlag
   printks "Time at End of E: %.1f\n", 0, times:k()
   turnoff
  endif
  kRtmCnt -= 1
 
 endif
 
endin

instr E1

 ;input sounds
 iTab1 = gi_HandKlatsch
 iTab2 = gi_christian_ah
 iTab3 = gi_snare1_f_ord1
 
 ;relative volumes
 iDb1 = -6
 iDb2 = 0
 iDb3 = -6
 
 ;speeds
 iSpeed1 = 1
 iSpeed2 = 1
 iSpeed3 = .5
 
 ;stretchs
 iStretch1 = 1
 iStretch2 = 1
 iStretch3 = 1
 
 ;durations of envelope (0 = total dur)
 iEnvDur1 = 0.5
 iEnvDur2 = 0.3
 iEnvDur3 = 0
 
 ;global volume and pan
 iDbGlob = -9
 iPan = p4
 
 schedule "PlayWarp", 0, 1, iTab1, iSpeed1, iDb1+iDbGlob, iPan, iStretch1, iEnvDur1
 schedule "PlayWarp", 0, 1, iTab2, iSpeed2, iDb2+iDbGlob, iPan, iStretch2, iEnvDur2
 schedule "PlayWarp", 0, 1, iTab3, iSpeed3, iDb3+iDbGlob, iPan, iStretch3, iEnvDur3

endin

instr E2

 ;input sounds
 iTab1 = gi_papierschlag
 iTab2 = gi_christian_fluesterschrei
 iTab3 = gi_snare2_f_ord1
 
 ;relative volumes
 iDb1 = -6
 iDb2 = 0
 iDb3 = -6
 
 ;speeds
 iSpeed1 = 1
 iSpeed2 = .6
 iSpeed3 = .6
 
 ;stretchs
 iStretch1 = 1
 iStretch2 = 1
 iStretch3 = 1
 
 ;durations of envelope (0 = total dur)
 iEnvDur1 = 0.5
 iEnvDur2 = 0.3
 iEnvDur3 = 0
 
 ;global volume and pan
 iDbGlob = -9
 iPan = p4
 
 schedule "PlayWarp", 0, 1, iTab1, iSpeed1, iDb1+iDbGlob, iPan, iStretch1, iEnvDur1
 schedule "PlayWarp", 0, 1, iTab2, iSpeed2, iDb2+iDbGlob, iPan, iStretch2, iEnvDur2
 schedule "PlayWarp", 0, 1, iTab3, iSpeed3, iDb3+iDbGlob, iPan, iStretch3, iEnvDur3

endin

instr E3

 ;input sounds
 iTab1 = gi_HandKlatsch
 iTab2 = gi_christian_ge
 iTab3 = gi_snare1_f_rim4
 
 ;relative volumes
 iDb1 = -6
 iDb2 = 0
 iDb3 = -6
 
 ;speeds
 iSpeed1 = 1
 iSpeed2 = 1
 iSpeed3 = .8
 
 ;stretchs
 iStretch1 = 1
 iStretch2 = 1
 iStretch3 = 1
 
 ;durations of envelope (0 = total dur)
 iEnvDur1 = 0.5
 iEnvDur2 = 0.3
 iEnvDur3 = 0
 
 ;global volume and pan
 iDbGlob = -9
 iPan = p4
 
 schedule "PlayWarp", 0, 1, iTab1, iSpeed1, iDb1+iDbGlob, iPan, iStretch1, iEnvDur1
 schedule "PlayWarp", 0, 1, iTab2, iSpeed2, iDb2+iDbGlob, iPan, iStretch2, iEnvDur2
 schedule "PlayWarp", 0, 1, iTab3, iSpeed3, iDb3+iDbGlob, iPan, iStretch3, iEnvDur3

endin

instr E4

 ;input sounds
 iTab1 = gi_papierschlag
 iTab2 = gi_christian_fluesterschrei
 iTab3 = gi_snare2_f_rim4
 
 ;relative volumes
 iDb1 = -6
 iDb2 = 0
 iDb3 = -6
 
 ;speeds
 iSpeed1 = 1
 iSpeed2 = .8
 iSpeed3 = .5
 
 ;stretchs
 iStretch1 = 1
 iStretch2 = 1
 iStretch3 = 1
 
 ;durations of envelope (0 = total dur)
 iEnvDur1 = 0.5
 iEnvDur2 = 0.3
 iEnvDur3 = 0
 
 ;global volume and pan
 iDbGlob = -9
 iPan = p4
 
 schedule "PlayWarp", 0, 1, iTab1, iSpeed1, iDb1+iDbGlob, iPan, iStretch1, iEnvDur1
 schedule "PlayWarp", 0, 1, iTab2, iSpeed2, iDb2+iDbGlob, iPan, iStretch2, iEnvDur2
 schedule "PlayWarp", 0, 1, iTab3, iSpeed3, iDb3+iDbGlob, iPan, iStretch3, iEnvDur3

endin

instr E5

 ;input sounds
 iTab1 = gi_HandKlatsch
 iTab2 = gi_christian_fluester
 iTab3 = gi_snare2_nah_trocken_1
 
 ;relative volumes
 iDb1 = 0
 iDb2 = 0
 iDb3 = -6
 
 ;speeds
 iSpeed1 = 1
 iSpeed2 = .8
 iSpeed3 = .6
 
 ;stretchs
 iStretch1 = 1
 iStretch2 = 1
 iStretch3 = 1
 
 ;durations of envelope (0 = total dur)
 iEnvDur1 = 0.6
 iEnvDur2 = 0.4
 iEnvDur3 = 0
 
 ;global volume and pan
 iDbGlob = -9
 iPan = p4
 
 schedule "PlayWarp", 0, 1, iTab1, iSpeed1, iDb1+iDbGlob, iPan, iStretch1, iEnvDur1
 schedule "PlayWarp", 0, 1, iTab2, iSpeed2, iDb2+iDbGlob, iPan, iStretch2, iEnvDur2
 schedule "PlayWarp", 0, 1, iTab3, iSpeed3, iDb3+iDbGlob, iPan, iStretch3, iEnvDur3

endin

instr PlayWarp

 iTab = p4
 iSpeed = p5
 iDb = p6
 iAzi = p7
 iStretch = p8
 p3 = ftlen(iTab)/sr/iSpeed/iStretch
 iEnvDur = (p9 == 0 ? p3 : p9)
 
 iTimeMode = 0 ;scaling, no pointer
 iWindowSize = sr/10
 iRandWin = iWindowSize/5
 iOverlap = 25

 kEnv linseg 1, iEnvDur, 0 
 aWarp sndwarp ampdb(iDb)*kEnv, iStretch, iSpeed, iTab, 0, iWindowSize, iRandWin, iOverlap, giHalfSine, iTimeMode

 ;send to internal audio channels (4 or 8)
 if giChannelSetup == 4.4 then
  aOut[] init 4
  aOut vbap aWarp*ampdb(iDb), iAzi, 0, 0, 2
  chnmix aOut[0], "chn_esc_1"
  chnmix aOut[1], "chn_esc_2"
  chnmix aOut[2], "chn_esc_3"
  chnmix aOut[3], "chn_esc_4" 
 
 else ;8 and 2 both use internal 8 channels
  aOut[] init 8
  aOut vbap aWarp*ampdb(iDb), iAzi, 0, 0, 1
  chnmix aOut[0], "chn_esc_1"
  chnmix aOut[1], "chn_esc_2"
  chnmix aOut[2], "chn_esc_3"
  chnmix aOut[3], "chn_esc_4"
  chnmix aOut[4], "chn_esc_5"
  chnmix aOut[5], "chn_esc_6"
  chnmix aOut[6], "chn_esc_7"
  chnmix aOut[7], "chn_esc_8"
 
 endif

endin

instr Collect

 if giChannelSetup == 4.4 then
 
  ;get the esc channels and write to channel 1-4
  aEsc_1 chnget "chn_esc_1"
  aEsc_2 chnget "chn_esc_2"
  aEsc_3 chnget "chn_esc_3"
  aEsc_4 chnget "chn_esc_4"  
  outch 1, aEsc_1*ampdb(giGlobGainDb), 2, aEsc_2*ampdb(giGlobGainDb), 3, aEsc_3*ampdb(giGlobGainDb), 4, aEsc_4*ampdb(giGlobGainDb)
  
  ;get the res channels and write to channel 5-8
  aRes_1 chnget "chn_res_1"
  aRes_2 chnget "chn_res_2"
  aRes_3 chnget "chn_res_3"
  aRes_4 chnget "chn_res_4"  
  outch 5, aRes_1*ampdb(giGlobGainDb), 6, aRes_2*ampdb(giGlobGainDb), 7, aRes_3*ampdb(giGlobGainDb), 8, aRes_4*ampdb(giGlobGainDb)

  ;clear channels
  chnclear "chn_esc_1"
  chnclear "chn_esc_2"
  chnclear "chn_esc_3"
  chnclear "chn_esc_4" 
  chnclear "chn_res_1"
  chnclear "chn_res_2"
  chnclear "chn_res_3"
  chnclear "chn_res_4"
  
 else ;octo or stereo
 
  ;get the esc and the res channels
  aEsc_1 chnget "chn_esc_1"
  aEsc_2 chnget "chn_esc_2"
  aEsc_3 chnget "chn_esc_3"
  aEsc_4 chnget "chn_esc_4" 
  aEsc_5 chnget "chn_esc_5"
  aEsc_6 chnget "chn_esc_6"
  aEsc_7 chnget "chn_esc_7"
  aEsc_8 chnget "chn_esc_8" 
  aRes_1 chnget "chn_res_1"
  aRes_2 chnget "chn_res_2"
  aRes_3 chnget "chn_res_3"
  aRes_4 chnget "chn_res_4" 
  aRes_5 chnget "chn_res_5"
  aRes_6 chnget "chn_res_6"
  aRes_7 chnget "chn_res_7"
  aRes_8 chnget "chn_res_8" 
     
  ;if octo, put out (1-8 = esc, 9-16 = res)
  if giChannelSetup == 8.8 then
   outch 1, aEsc_1*ampdb(giGlobGainDb), 2, aEsc_2*ampdb(giGlobGainDb), 3, aEsc_3*ampdb(giGlobGainDb), 4, aEsc_4*ampdb(giGlobGainDb), 
   		5, aEsc_5*ampdb(giGlobGainDb), 6, aEsc_6*ampdb(giGlobGainDb), 7, aEsc_7*ampdb(giGlobGainDb), 8, aEsc_8*ampdb(giGlobGainDb)
   outch 9, aRes_1*ampdb(giGlobGainDb), 10, aRes_2*ampdb(giGlobGainDb), 11, aRes_3*ampdb(giGlobGainDb), 12, aRes_4*ampdb(giGlobGainDb),
   		13, aRes_5*ampdb(giGlobGainDb), 14, aRes_6*ampdb(giGlobGainDb), 15, aRes_7*ampdb(giGlobGainDb), 16, aRes_8*ampdb(giGlobGainDb)
   
  ;if stereo with live mix put out esc=1-2 and res=3-4
  elseif giChannelSetup == 2.2 then  
   aEscL1, aEscR1 pan2 aEsc_1, 4/9
   aEscL2, aEscR2 pan2 aEsc_2, 5/9
   aEscL3, aEscR3 pan2 aEsc_3, 6/9
   aEscL4, aEscR4 pan2 aEsc_4, 7/9
   aEscL5, aEscR5 pan2 aEsc_5, 8/9
   aEscL6, aEscR6 pan2 aEsc_6, 1/9
   aEscL7, aEscR7 pan2 aEsc_7, 2/9
   aEscL8, aEscR8 pan2 aEsc_8, 3/9
   aEscL sum aEscL1, aEscL2, aEscL3, aEscL4, aEscL5, aEscL6, aEscL7, aEscL8
   aEscR sum aEscR1, aEscR2, aEscR3, aEscR4, aEscR5, aEscR6, aEscR7, aEscR8
   aResL1, aResR1 pan2 aRes_1, 4/9
   aResL2, aResR2 pan2 aRes_2, 5/9
   aResL3, aResR3 pan2 aRes_3, 6/9
   aResL4, aResR4 pan2 aRes_4, 7/9
   aResL5, aResR5 pan2 aRes_5, 8/9
   aResL6, aResR6 pan2 aRes_6, 1/9
   aResL7, aResR7 pan2 aRes_7, 2/9
   aResL8, aResR8 pan2 aRes_8, 3/9
   aResL sum aResL1, aResL2, aResL3, aResL4, aResL5, aResL6, aResL7, aResL8
   aResR sum aResR1, aResR2, aResR3, aResR4, aResR5, aResR6, aResR7, aResR8
   outch 1, aEscL, 2, aEscR
   outch 3, aResL, 4, aResR
     
  ;if simple stereo, mix all to 1-2 (6 7 8 1 2 3 4 5)  
  elseif giChannelSetup == 2.0 then
   aL1, aR1 pan2 aEsc_1+aRes_1, 4/9
   aL2, aR2 pan2 aEsc_2+aRes_2, 5/9
   aL3, aR3 pan2 aEsc_3+aRes_3, 6/9
   aL4, aR4 pan2 aEsc_4+aRes_4, 7/9
   aL5, aR5 pan2 aEsc_5+aRes_5, 8/9
   aL6, aR6 pan2 aEsc_6+aRes_6, 1/9
   aL7, aR7 pan2 aEsc_7+aRes_7, 2/9
   aL8, aR8 pan2 aEsc_8+aRes_8, 3/9
   aL sum aL1, aL2, aL3, aL4, aL5, aL6, aL7, aL8
   aR sum aR1, aR2, aR3, aR4, aR5, aR6, aR7, aR8
   out aL*ampdb(giGlobGainDb), aR*ampdb(giGlobGainDb)
 
  ;if none of these ...
  else 
   prints "ERROR! Channel Setup '%.1f' not known!\n", giChannelSetup
   
  endif

  ;clear channels
  chnclear "chn_esc_1"
  chnclear "chn_esc_2"
  chnclear "chn_esc_3"
  chnclear "chn_esc_4" 
  chnclear "chn_esc_5"
  chnclear "chn_esc_6"
  chnclear "chn_esc_7"
  chnclear "chn_esc_8" 
  chnclear "chn_res_1"
  chnclear "chn_res_2"
  chnclear "chn_res_3"
  chnclear "chn_res_4" 
  chnclear "chn_res_5"
  chnclear "chn_res_6"
  chnclear "chn_res_7"
  chnclear "chn_res_8" 
    
 endif

endin
schedule("Collect",0,20)

</CsInstruments>
<CsScore>
i "E" 0 1 .5
</CsScore>
</CsoundSynthesizer>
<bsbPanel>
 <label>Widgets</label>
 <objectName/>
 <x>426</x>
 <y>224</y>
 <width>456</width>
 <height>495</height>
 <visible>true</visible>
 <uuid/>
 <bgcolor mode="nobackground">
  <r>255</r>
  <g>255</g>
  <b>255</b>
 </bgcolor>
 <bsbObject version="2" type="BSBVSlider">
  <objectName>slider2</objectName>
  <x>104</x>
  <y>85</y>
  <width>20</width>
  <height>100</height>
  <uuid>{29448dc4-dd55-40c0-8864-9a03cade958a}</uuid>
  <visible>true</visible>
  <midichan>0</midichan>
  <midicc>0</midicc>
  <minimum>0.00000000</minimum>
  <maximum>1.00000000</maximum>
  <value>0.52000000</value>
  <mode>lin</mode>
  <mouseControl act="jump">continuous</mouseControl>
  <resolution>-1.00000000</resolution>
  <randomizable group="0">false</randomizable>
 </bsbObject>
</bsbPanel>
<bsbPresets>
</bsbPresets>
